> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Retrieves a paginated list of webhook configurations for the authenticated user's current workspace.
The webhooks are returned using cursor-based pagination.



## OpenAPI

````yaml GET /api/v1/webhooks
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/webhooks:
    get:
      tags:
        - Webhook
      summary: List Webhooks
      description: >-
        Retrieves a paginated list of webhook configurations for the
        authenticated user's current workspace.

        The webhooks are returned using cursor-based pagination.
      operationId: listWebhooks
      parameters:
        - in: query
          name: per_page
          description: >-
            The number of items per page. Must be at least 1. Must not be
            greater than 100.
          example: 25
          required: false
          schema:
            type: integer
            description: >-
              The number of items per page. Must be at least 1. Must not be
              greater than 100.
            example: 25
        - in: query
          name: cursor
          description: >-
            The cursor for pagination. Use the meta.next_cursor or
            meta.previous_cursor from the response.
          example: example
          required: false
          schema:
            type: string
            description: >-
              The cursor for pagination. Use the meta.next_cursor or
              meta.previous_cursor from the response.
            example: example
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 01kqh44bmrkek36ke66e0xn6ae
                      url: http://example.com/
                      payload:
                        data:
                          id: d6fa562b-acd5-35ff-babb-d11194d3737b
                          name: Example Name
                        event: user.deleted
                        timestamp: 1996-12-23T23:18:02+0000
                      check_https: true
                      logging_enabled: true
                      retries: 0
                      timeout: 964
                      workspace_id: 01kqh44bmhpgmhtwwztzewr4bh
                      created_at: '2026-05-01T06:38:01+00:00'
                      updated_at: '2026-05-01T06:38:01+00:00'
                    - id: 01kqh44bnktvjnv9cwxmn90xcw
                      url: http://example.com/dolores-enim-non-facere-tempora
                      payload:
                        data:
                          id: 4ac9147e-bdf0-3914-9dcd-3c6a5c52010c
                          name: Example Name
                        event: user.updated
                        timestamp: 1985-12-26T03:24:50+0000
                      check_https: true
                      logging_enabled: false
                      retries: 0
                      timeout: 1460
                      workspace_id: 01kqh44bnce712ejnw4zxg89j4
                      created_at: '2026-05-01T06:38:01+00:00'
                      updated_at: '2026-05-01T06:38:01+00:00'
                  meta:
                    per_page: 20
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - id: 01kqh44bmrkek36ke66e0xn6ae
                        url: http://example.com/
                        payload:
                          data:
                            id: d6fa562b-acd5-35ff-babb-d11194d3737b
                            name: Example Name
                          event: user.deleted
                          timestamp: 1996-12-23T23:18:02+0000
                        check_https: true
                        logging_enabled: true
                        retries: 0
                        timeout: 964
                        workspace_id: 01kqh44bmhpgmhtwwztzewr4bh
                        created_at: '2026-05-01T06:38:01+00:00'
                        updated_at: '2026-05-01T06:38:01+00:00'
                      - id: 01kqh44bnktvjnv9cwxmn90xcw
                        url: http://example.com/dolores-enim-non-facere-tempora
                        payload:
                          data:
                            id: 4ac9147e-bdf0-3914-9dcd-3c6a5c52010c
                            name: Example Name
                          event: user.updated
                          timestamp: 1985-12-26T03:24:50+0000
                        check_https: true
                        logging_enabled: false
                        retries: 0
                        timeout: 1460
                        workspace_id: 01kqh44bnce712ejnw4zxg89j4
                        created_at: '2026-05-01T06:38:01+00:00'
                        updated_at: '2026-05-01T06:38:01+00:00'
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: 01kqh44bmrkek36ke66e0xn6ae
                        url:
                          type: string
                          example: http://example.com/
                        payload:
                          type: object
                          properties:
                            data:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: d6fa562b-acd5-35ff-babb-d11194d3737b
                                name:
                                  type: string
                                  example: My Agent
                            event:
                              type: string
                              example: user.deleted
                            timestamp:
                              type: string
                              example: 1996-12-23T23:18:02+0000
                        check_https:
                          type: boolean
                          example: true
                        logging_enabled:
                          type: boolean
                          example: true
                        retries:
                          type: integer
                          example: 0
                        timeout:
                          type: integer
                          example: 964
                        workspace_id:
                          type: string
                          example: 01kqh44bmhpgmhtwwztzewr4bh
                        created_at:
                          type: string
                          example: '2026-05-01T06:38:01+00:00'
                        updated_at:
                          type: string
                          example: '2026-05-01T06:38:01+00:00'
                  meta:
                    type: object
                    properties:
                      per_page:
                        type: integer
                        example: 20
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````